Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes.support
Class EmptyModelItem

    java.lang.Object
      com.eviware.soapui.model.tree.nodes.support.EmptyModelItem

All Implemented Interfaces:
  ModelItem, PropertyChangeNotifier

Direct Known Subclasses:
  WsdlLoadTestsModelItem, WsdlTestStepsModelItem

    public class EmptyModelItem

extends java.lang.Object
implements ModelItem

Empty ModelItem used by intermediary TreeNodes

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`EmptyModelItem(java.lang.String name, javax.swing.ImageIcon icon)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`java.lang.String` | `getDescription()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getName()`
`Settings` | `getSettings()`
`void` | `release()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyModelItem

    public EmptyModelItem(java.lang.String name,
                          javax.swing.ImageIcon icon)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelItem`

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ModelItem`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### getSettings

    public Settings getSettings()

  Specified by:
    `getSettings` in interface `ModelItem`

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.